function [err,Relerrs] = QTWF(y,x,d,m,theta_lb,theta_ub,theta_h,theta_y,iter,eta,npower_iter,A,At)

%% QTWF

%% Initialization
z0 = randn(d,1) + randn(d,1) * qi +  randn(d,1) * qj +  randn(d,1) * qk; 
z0 = z0 / norm(z0);    % Initial guess
normest = sqrt(sum(y(:)) / numel(y(:)));    % Estimate norm to scale eigenvector

for tt = 1:npower_iter  % Truncated power iteration
    ytr = y.* (abs(y) <=  theta_y^2 * normest^2 );
    z0 = At( ytr.* (A(z0)) ); 
    z0 = z0/norm(z0 );
end
z          = normest * z0;                   % Apply scaling
Relerrs = norm(x - z*sign(z' * x) ) / norm(x); % Initial rel. error

%% QTWF update
for t = 1:iter
    grad = Qcompute_grad(z,y,m,theta_lb,theta_ub,theta_h, A,At);
    z = z - eta * grad;
    Relerrs = [Relerrs;norm(x - z*sign(z' * x) ) / norm(x)];
end
err = Relerrs(end);
