function [Relerrs,z] = QWF1D(y, x, d,m,eta,npower_iter,iter,Amatrix)

%% QWF for vector based on observed date
% y - observation; x - underlying signal; d - dimension; 
% m - measurement number; eta - stepsize; 
% npower_iter - iteration number for initialization
% iter - number of iteration for loop
% Amatrix - the quaternion sensing matrix 

%% Spetral Initialization

z0 = randn(d,1) + randn(d,1) * qi +  randn(d,1) * qj +  randn(d,1) * qk; 
z0 = z0 / norm(z0);     
normest = sqrt(sum(y(:)) / numel(y(:)));    

% Estimate norm to scale eigenvector
for tt = 1:npower_iter    % power iteration
    z0 = Amatrix' * (y .* (Amatrix * z0));
    z0 = z0 / norm(z0);
end

z       = normest * z0;         % Apply scaling
Relerrs = norm(x - z*sign(z' * x) ) / norm(x); % Initial rel. error


%% WF update (Loop)
for t = 1:iter
    
    Az = Amatrix * z;
    Lam = abs(Az).^2 - y; 
    grad = (1/m) * Amatrix' * (Lam .* Az);
    z = z - eta * grad;
    Relerrs = [Relerrs; norm(x - z* sign(z' * x) ) / norm(x)];

end
end


 

